AntiFeatures:
  - NonFreeNet
  - Tracking
Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Infomaniak
WebSite: https://www.infomaniak.com
SourceCode: https://github.com/Infomaniak/android-kDrive
IssueTracker: https://contact.infomaniak.com

AutoName: kDrive

RepoType: git
Repo: https://github.com/Infomaniak/android-kDrive.git

Builds:
  - versionName: 4.0.11
    versionCode: 40001101
    commit: 4.0.11
    subdir: app
    submodules: true
    gradle:
      - fdroid

  - versionName: 4.0.12
    versionCode: 40001201
    commit: f409f3bcac905cf9f71cfb9ff8c39895b86d3fca
    subdir: app
    submodules: true
    gradle:
      - fdroid

  - versionName: 4.0.13
    versionCode: 40001301
    commit: 846e69efd84b2a672cd2da1c1887d8d3e1267365
    subdir: app
    submodules: true
    gradle:
      - fdroid

  - versionName: 4.0.14
    versionCode: 40001401
    commit: 70066353e2a34f194d7252a4ea506ce40e45fcaf
    subdir: app
    submodules: true
    gradle:
      - fdroid

  - versionName: 4.0.15
    versionCode: 40001501
    commit: 7b69192485ee31b2b97037b27614a4e4e3d73eb1
    subdir: app
    submodules: true
    gradle:
      - fdroid

  - versionName: 4.0.16
    versionCode: 40001601
    commit: b65d0bdc10edc8531671eb166d2a8c68eadff3dd
    subdir: app
    submodules: true
    gradle:
      - fdroid

  - versionName: 4.0.17
    versionCode: 40001701
    commit: 2ac4147849066ee4d8dccf2fbf6701c47f243c40
    subdir: app
    submodules: true
    gradle:
      - fdroid

  - versionName: 4.0.18
    versionCode: 40001801
    commit: eacd065f00a9843cdd7d841f034e830be3bc97bc
    subdir: app
    submodules: true
    gradle:
      - fdroid

  - versionName: 4.0.19
    versionCode: 40001901
    commit: 1b887391a183dc1e6389e2a1f88d90b86b4e2192
    subdir: app
    submodules: true
    gradle:
      - fdroid

  - versionName: 4.0.20
    versionCode: 40002001
    commit: a5c3492db653249cf8c0793260152d2698410b90
    subdir: app
    submodules: true
    gradle:
      - fdroid

  - versionName: 4.0.21
    versionCode: 40002101
    commit: 8f1ae7fc4ef8c331768b558704a85da3a6786f67
    subdir: app
    submodules: true
    gradle:
      - fdroid

  - versionName: 4.0.22
    versionCode: 40002201
    commit: d35388eb93ad34a4fd774f29302a39fe155398cb
    subdir: app
    submodules: true
    gradle:
      - fdroid

  - versionName: 4.0.23
    versionCode: 40002301
    commit: a8cf1877a7c0d69a59ce757ac686be1322bfcff4
    subdir: app
    submodules: true
    gradle:
      - fdroid

  - versionName: 4.0.25
    versionCode: 40002501
    commit: 2d4c6f3e5617c14871a08028249c5d79c4db26f9
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.0.26
    versionCode: 40002601
    commit: ea3180d6baf608b1fa76350e64629a8c07464206
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.0.27
    versionCode: 40002701
    commit: b1420f9c41beeecaf3d10a9adb85aa720a59ac91
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.0.28
    versionCode: 40002801
    commit: fec939c712eba5a79936871b3eb3cb1836eb0d8e
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.0.37
    versionCode: 40003702
    disable: https://github.com/Infomaniak/android-kDrive/issues/265
    commit: 7e6c7e080761fd9810c0e1fe7a148babdb8252f4
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.0.38
    versionCode: 40003801
    commit: a6b2de3d0d3bd5b6e9eaaeceba4f9e253e1d8178
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.0.39
    versionCode: 40003901
    commit: 2df66a0096ff2919c3cfa7409982a1b51d3127a3
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.0.40
    versionCode: 40004001
    commit: 8512591472cbc183fd9cc1478f2284cda0f3aab7
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.0.41
    versionCode: 40004101
    commit: 9caef891e9c19d07784b6e919bdca1d8ce88d2ca
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.0.42
    versionCode: 40004201
    commit: fa0121c6ba6b00643e5fd470bab71cd3ab18c9e1
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.1.0
    versionCode: 40100005
    commit: f05aa0f9fa887f615ab0f41345e8342b5f44ed95
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.1.0
    versionCode: 40100006
    commit: 46444dccad5bbaff869e92a23ee518ba85744cfa
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.1.1
    versionCode: 40100101
    commit: 3a538ca8c8db4ec5d282ec8217e9fe1e58f0ac48
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.1.2
    versionCode: 40100201
    commit: 573c8b09c54cf94920da5fda4f03ce4170381956
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.1.3
    versionCode: 40100301
    commit: 6ef1bc916d599a4bd97e23f21bb40a4138be4b24
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.1.4
    versionCode: 40100401
    commit: 70908b8e953b63968c8c3e5929dd34290b5a1310
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.1.5
    versionCode: 40100501
    commit: de9ba37328a9835078d5e529572414a8c5498ed7
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.1.6
    versionCode: 40100601
    commit: 1217823a8713ac3d9258c23bba3171e83aad5d24
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.1.7
    versionCode: 40100701
    commit: 7791e5f07b775a1b9958d0ce93360c218720c22d
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.2.0
    versionCode: 40200001
    commit: 6c10a8fc1e1970d462e0d07d1d4ba431eedea471
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.2.0
    versionCode: 40200006
    commit: 63bb6d1e95a766d2596f88a8b65f45c22be7c642
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.2.0
    versionCode: 40200007
    commit: ba94f857111865b3ae6c4ba5c6f1d5c44d89d26e
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 4.2.0
    versionCode: 40200011
    commit: f933d978e09fdd529cfae8c612fb494c2a611e13
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/amazonaws/d' ../build.gradle
      - sed -i -e '/geniusscansdk/d' build.gradle

  - versionName: 4.2.0
    versionCode: 40200012
    commit: 808d707aaa7c1e8eea677395c542f3106131ea15
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/amazonaws/d' ../build.gradle
      - sed -i -e '/geniusscansdk/d' build.gradle

  - versionName: 4.2.0
    versionCode: 40200013
    commit: 7cb19c5f23358f92ca3ffd87bc78dffe99aa41af
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/amazonaws/d' ../build.gradle
      - sed -i -e '/geniusscansdk/d' build.gradle

  - versionName: 4.2.0
    versionCode: 40200014
    commit: 72a29ad93541dbef2cdbe8c8a35cfe289d45a706
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/amazonaws/d' ../build.gradle
      - sed -i -e '/geniusscansdk/d' build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 4.2.0
CurrentVersionCode: 40200014
